#### Unix-specific Utilities

Most of GLib is intended to be portable; in contrast, this set of functions is designed for programs which explicitly target Unix, or are using it to build higher level abstractions which would be conditionally compiled if the platform matches `G_OS_UNIX`.

To use these functions, you must explicitly include the `glib-unix.h` header.

## File Descriptors

- `g_unix_open_pipe()`
- `g_unix_set_fd_nonblocking()`
- `g_unix_fd_query_path()`

## Pipes

The `GUnixPipe` structure can be used to conveniently open and manipulate a Unix pipe.

The methods for it are all static inline for efficiency. They are:

- `g_unix_pipe_open()`
- `g_unix_pipe_get()`
- `g_unix_pipe_steal()`
- `g_unix_pipe_close()`
- `g_unix_pipe_clear()`

## Signals

- `g_unix_signal_add()`
- `g_unix_signal_add_full()`
- `g_unix_signal_source_new()`

## Polling

- `g_unix_fd_add()`
- `g_unix_fd_add_full()`
- `g_unix_fd_source_new()`

## User Database

- `g_unix_get_passwd_entry()`